%bcond_with xdist

%bcond_with rpmmacropkg 0

%bcond_with oldpoetry 0

%global srcname rpmautospec
%global canonicalname %{py_dist_name %{srcname}}

Name: python-%{canonicalname}
Version: 0.6.0
Release:    4%{?dist}
Summary: Package and CLI tool to generate release fields and changelogs
License: MIT
URL: https://github.com/fedora-infra/%{canonicalname}
Source0: https://github.com/fedora-infra/%{canonicalname}/releases/download/%{version}/%{canonicalname}-%{version}.tar.gz
Patch100: python-rpmautospec-0.6.0-old-poetry.patch

BuildArch: noarch
BuildRequires: git
BuildRequires: glibc-langpack-de
BuildRequires: glibc-langpack-en
BuildRequires: python3-devel >= 3.9.0
BuildRequires: python3dist(pytest)
%if %{with xdist}
BuildRequires: python3dist(pytest-xdist)
%endif
BuildRequires: python3dist(pyyaml)
BuildRequires: sed

%global _description %{expand:
A package and CLI tool to generate RPM release fields and changelogs.}

%description %_description

%package -n python3-%{canonicalname}
Summary: %{summary}

%description -n python3-%{canonicalname} %_description

%package -n %{canonicalname}
Summary:  CLI tool for generating RPM releases and changelogs
Requires: python3-%{canonicalname} = %{version}-%{release}

%description -n %{canonicalname}
CLI tool for generating RPM releases and changelogs

%if %{with rpmmacropkg}
%package -n rpmautospec-rpm-macros
Summary: Rpmautospec RPM macros for local rpmbuild
Requires: rpm

%description -n rpmautospec-rpm-macros
This package contains RPM macros with placeholders for building rpmautospec
enabled packages locally.
%endif

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{srcname}-%{version} -N
%autopatch -M 99
%if %{with oldpoetry}
%autopatch 100
%endif

sed -i -e '/pytest-cov/d; /addopts.*--cov/d' pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}
sed -i -e 's|^\(.*/LICENSE\)|%%license \1|g' %{pyproject_files}

%if %{with rpmmacropkg}
mkdir -p %{buildroot}%{rpmmacrodir}
install -m 644  rpm/macros.d/macros.rpmautospec %{buildroot}%{rpmmacrodir}/
%endif

%check
%pytest -v \
%if %{with xdist}
--numprocesses=auto
%endif

%files -n python3-%{canonicalname} -f %{pyproject_files}
%doc README.rst

%files -n %{canonicalname}
%{_bindir}/rpmautospec

%if %{with rpmmacropkg}
%files -n rpmautospec-rpm-macros
%{rpmmacrodir}/macros.rpmautospec
%endif

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.6.0-4
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-3
- rebrand

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-1
- initial build
